Package org.apache.sysds.runtime.compress.utils

# Class DblArray

java.lang.Object
org.apache.sysds.runtime.compress.utils.DblArray

public class DblArray extends Object
Helper class used for bitmap extraction.

## Constructor Summary

Constructors
Constructor
Description
`DblArray(double[] arr)`
`DblArray(DblArray that)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`final boolean`
`equals(DblArray that)`
`double[]`
`getData()`
`final int`
`hashCode()`
`boolean`
`isEmpty()`
`void`
`resetHash()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DblArray

public DblArray(double[] arr)

### DblArray

public DblArray(DblArray that)

## Method Details

### getData

public double[] getData()

### resetHash

public void resetHash()

### isEmpty

public boolean isEmpty()

### hashCode

public final int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public final boolean equals(DblArray that)

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`